import redis
import time
import dataset
import random
import codecs
#qlist=['富億空間設計','富億空間設計 新成屋','富億空間設計 新成屋','富億空間設計 老屋翻新','富億空間設計 陳錦樹','富億空間設計 設計師','富億空間設計 室內設計','富億空間設計 室內設計師']
#qlist+=['上築空間設計','豐聚室內裝修','富億空間設計','浩室設計','京璽國際','IS國際設計','優尼客','摩登雅舍','亞維空間設計','比沙列','富億設計','豐聚設計']

#qlist=['豐聚設計','豐聚設計 黃翊峰','豐聚設計 李羽芝','豐聚設計 休閒風','豐聚設計 現代風','豐聚設計 工業風','豐聚設計 設計大獎']
#qlist+=['京璽國際','京璽國際 周彥如','京璽國際 設計師','京璽國際 現代風','京璽國際 美式風','京璽國際 奢華風','京璽國際 新成屋']
#qlist+=['合砌設計','合砌設計 臺北市','合砌設計 南港區','合砌設計 忠孝東路','合砌設計 簡約','合砌設計 現代風','合砌設計 徐俊福']
#qlist+=['朱英凱室內設計','朱英凱室內設計 室內設計','朱英凱室內設計 國際大賞','朱英凱室內設計 GLORY','朱英凱室內設計 動線','朱英凱室內設計 設計費','朱英凱室內設計 毛坯屋']
#qlist+=['演拓設計','演拓設計 殷崇淵','演拓設計 張德良','演拓設計 楊霈瀅','演拓設計 寬寬','演拓設計 廖文祥','演拓設計 設計裝潢']
#qlist+=['玖柞設計','玖柞設計 朱伯晟','玖柞設計 蔡雅怡','玖柞設計 新宅','玖柞設計 室內設計','玖柞設計 建築','玖柞設計 裝潢設計']
#qlist+=['卓林室內設計','卓林室內設計 林繹寬','卓林室內設計 設計師','卓林室內設計 機能宅','卓林室內設計 室內設計','卓林室內設計 室內設計','卓林室內設計 坪效','卓林室內設計 空間設計']
#qlist+=['合砌設計','羽筑空間設計','朱英凱室內設計','將作空間','藝谷空間','文儀室內裝修','維耕設計','亞維空間設計','比沙列','上築空間設計','京璽國際','IS國際設計','優尼客','摩登雅舍','玖柞設計','麻石設計','元典設計','大琚空間','惹雅國際','橙果創意','PLSB建境','聯寬室內裝修']
#qlist+=['奧立佛竺居 設計師 鍾鼎','奧立佛竺居 老屋翻新','奧立佛竺居 住宅改造','奧立佛竺居 監工費','奧立佛竺居 設計 鍾黎','奧立佛竺居 謝雨竹']
#qlist+=['IS國際設計','IS國際設計','IS國際設計 陳嘉鴻','IS國際設計 費用','IS國際設計 陳嘉鴻 mobile01','IS國際設計 風格','IS國際設計 接案風格','IS國際設計 現代風','IS國際設計 老屋翻新']
#qlist+=['富億設計','富億設計 新成屋','富億設計 新成屋','富億設計 老屋翻新','富億設計 陳錦樹','富億設計 設計師','富億設計 室內設計','富億設計 室內設計師']



#qlist=['界陽大司','界陽大司 空間設計','界陽大司 設計','界陽大司 馬健凱','界陽大司 室內設計師','界陽大司 案例','界陽大司 室內設計獎']

def get_list():
    result=[]
    fr=codecs.open('C:/data/Queries.csv','r','utf-8')
    lines=fr.readlines()
    fr.close()
    for l in lines[1:]:
        elmts=l.split(',')
        pos=float(elmts[4])
        if pos<=11:
            result.append(elmts[0])
    return result

qlist=[]

def get_list_from_db():
    global qlist
    db = dataset.connect('mysql://choozmo:pAssw0rd@db.ptt.cx:3306/hhh?charset=utf8mb4')
    cursor=db.query("SELECT kw FROM hhh.seo_designer where vipgroup='V';")
    for c in cursor:
        qlist.append(c['kw'])

def get_list_from_db2():
    global qlist
    db = dataset.connect('mysql://choozmo:pAssw0rd@db.ptt.cx:3306/hhh?charset=utf8mb4')
    query="""SELECT query as kw FROM hhh.gsc_designer where
 (`page` = 'https://hhh.com.tw/designers/cases/491/1-page/new-sort/') or
 (`page` = 'https://hhh.com.tw/designers/cases/31/1-page/new-sort/') or
 (`page` = 'https://hhh.com.tw/designers/cases/293/1-page/new-sort/') or
 (`page` = 'https://hhh.com.tw/designers/cases/278/1-page/new-sort/') or
 (`page` = 'https://hhh.com.tw/designers/cases/24/1-page/new-sort/') or
 (`page` = 'https://hhh.com.tw/designers/cases/594/1-page/new-sort/') or
 (`page` = 'https://hhh.com.tw/designers/cases/356/1-page/new-sort/') or
 (`page` = 'https://hhh.com.tw/designers/cases/307/1-page/new-sort/') or
 (`page` = 'https://hhh.com.tw/designers/cases/491/1-page/new-sort/') or
 (`page` = 'https://hhh.com.tw/designers/cases/33/1-page/new-sort/') or
 (`page` = 'https://hhh.com.tw/designers/cases/385/1-page/new-sort/') and position <=10 
 order by impressions/position desc;
    """
    cursor=db.query(query)
    for c in cursor:
        qlist.append(c['kw'])


qlist=get_list()
#get_list_from_db()
#get_list_from_db2()

def process_one():
    global qlist
    r = redis.Redis(host='db.ptt.cx', port=6379, db=1)
    #p = r.pubsub(ignore_subscribe_messages=True)
    for i in range(12):
        q=random.choice(qlist)
        r.publish('q_hhh_seo',q)




#    for q in qlist:
#        r.publish('q_hhh_seo',q)

#process_one()
for i in range(3):
    process_one()
